# lipase

An image processing software suite for the project lipase (Véronique Vié, Institut de Physique de Rennes)

This software suite is developed as a python script for fiji (an image processing package based on imageJ).

## What it does

As the development is at its early stages, it does not much at the moment:

- loads a sequence of images into fiji in the form of an hyperstack (5d images : width, height, depth, channels, time)

## How to use

1. make sure that fiji is installed on your computer. If not, get it from https://fiji.sc/
2. make sure that fiji has the IJ-OpenCV-plugins
    - in Fiji, select the Help->Update... menu item
    - in the Manage update sites window, tick the IJ-OpenCV-plugins (URL = http://sites.imagej.net/IJ-OpenCV/) if it's not ticked.
    - click the close button of the Manage update sites window
    - click "Apply changes" button in the ImageJ Updater window
    - wait until the plugins are installed, then restart fiji
3. launch fiji
4. from fiji, click on File->new->script... The script window should appear.
5. with the script window selected, choose the File->open... menu item.
6. from the file browser that just appeared, locate and choose the file lipase.py from this repository, then click Open. You should see the script lipase.py appear in the script window
7. The script is executed when you click on the script editor's run button.

## Notes

http://imagejdocu.tudor.lu/doku.php?id=plugin:analysis:microscope_image_correlation_spectroscopy:start
